.\" -*- coding: us-ascii -*-
.if \n(.g .ds T< \\FC
.if \n(.g .ds T> \\F[\n[.fam]]
.de URL
\\$2 \(la\\$1\(ra\\$3
..
.if \n(.g .mso www.tmac
.TH pg_lo_lseek n "March 2018" "" "PostgreSQL Tcl Interface Documentation"
.SH NAME
pg_lo_lseek \- seek to a position of a large object
.SH SYNOPSIS
.nf

pg_lo_lseek \*(T<conn\*(T> \*(T<descriptor\*(T> \*(T<offset\*(T> \*(T<whence\*(T>
.fi
.SH DESCRIPTION
\*(T<\fBpg_lo_lseek\fR\*(T> moves the current read/write
position to \*(T<offset\*(T> bytes from the position
specified by \*(T<whence\*(T>.
.SH ARGUMENTS
.TP 
\*(T<conn\*(T>
The handle of a connection to the database in which the large object
exists.
.TP 
\*(T<descriptor\*(T>
A descriptor for the large object from
\*(T<\fBpg_lo_open\fR\*(T>.
.TP 
\*(T<offset\*(T>
The new seek position in bytes.
.TP 
\*(T<whence\*(T>
Specified from where to calculate the new seek position:
\*(T<SEEK_CUR\*(T> (from current position),
\*(T<SEEK_END\*(T> (from end), or \*(T<SEEK_SET\*(T> (from
start).
.SH "RETURN VALUE"
None
