.\" -*- coding: us-ascii -*-
.if \n(.g .ds T< \\FC
.if \n(.g .ds T> \\F[\n[.fam]]
.de URL
\\$2 \(la\\$1\(ra\\$3
..
.if \n(.g .mso www.tmac
.TH pg_lo_read n "March 2018" "" "PostgreSQL Tcl Interface Documentation"
.SH NAME
pg_lo_read \- read from a large object
.SH SYNOPSIS
.nf

pg_lo_read \*(T<conn\*(T> \*(T<descriptor\*(T> \*(T<bufVar\*(T> \*(T<len\*(T>
.fi
.SH DESCRIPTION
\*(T<\fBpg_lo_read\fR\*(T> reads at most
\*(T<len\*(T> bytes from a large object into a
variable named \*(T<bufVar\*(T>.
.SH ARGUMENTS
.TP 
\*(T<conn\*(T>
The handle of a connection to the database in which the large object
exists.
.TP 
\*(T<descriptor\*(T>
A descriptor for the large object from
\*(T<\fBpg_lo_open\fR\*(T>.
.TP 
\*(T<bufVar\*(T>
The name of a buffer variable to contain the large object
segment.
.TP 
\*(T<len\*(T>
The maximum number of bytes to read.
.SH "RETURN VALUE"
The number of bytes actually read is returned; this could be less than
the number requested if the end of the large object is reached first.
In event of an error, the return value is negative.
