.\" -*- coding: us-ascii -*-
.if \n(.g .ds T< \\FC
.if \n(.g .ds T> \\F[\n[.fam]]
.de URL
\\$2 \(la\\$1\(ra\\$3
..
.if \n(.g .mso www.tmac
.TH pg_lo_truncate n "March 2018" "" "PostgreSQL Tcl Interface Documentation"
.SH NAME
pg_lo_truncate \- Truncate a large object to a given length
.SH SYNOPSIS
.nf

pg_lo_truncate \*(T<conn\*(T> \*(T<descriptor\*(T> \*(T<length\*(T>
.fi
.SH DESCRIPTION
\*(T<\fBpg_lo_truncate\fR\*(T> truncates the specified large
object to the given length. If the length is greater than the current
large object length, the large object is extended with null bytes.
.SH ARGUMENTS
.TP 
\*(T<conn\*(T>
The handle of a connection to the database in which the large object
exists.
.TP 
\*(T<descriptor\*(T>
A descriptor for the large object from
\*(T<\fBpg_lo_open\fR\*(T>.
.TP 
\*(T<length\*(T>
The length to which the large object is to be truncated or padded.
.SH "RETURN VALUE"
A zero-based offset in bytes suitable for input to
\*(T<\fBpg_lo_lseek\fR\*(T>.
